stages:
  - build

ubuntu-16.04:
  stage: build
  image: ubuntu:16.04
  tags:
    - docker
    - linux
  script:
    - apt-get --quiet update --yes
    - apt-get --quiet install --yes curl git zsh
    - git clone .git/ ~/.dotfiles/
    # If this file is not given, a prompt comes up that must be accepted.
    # This is a short-circuit for CI.
    - cp .gitlab-ci/gitconfig.local.symlink ~/.dotfiles/git/gitconfig.local.symlink
    - cd ~/.dotfiles
    - zsh -c script/bootstrap
    # TODO: Figure out how to run `dotfiles` and `reload!`,
    # TODO: and test some of these commands!


